#
# spec file for package adms
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           adms
Version:        2.3.5
Release:        9.2
Summary:        An automatic device model synthesizer
License:        GPL-3.0
Group:          Productivity/Scientific/Electronics
Url:            http://sourceforge.net/projects/mot-adms/
Source0:        http://downloads.sourceforge.net/mot-adms/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE adms-no-build-time.patch -- remove build time from binary
Patch1:         adms-no-build-time.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  perl-XML-LibXML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ADMS is a code generator that converts electrical compact device models
specified in high-level description language into ready-to-compile C code
for the API of spice simulators. Based on transformations specified in XML
language, ADMS transforms Verilog-AMS code into other target languages.

%prep
%setup -q
%patch1 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/admsCheck
%{_bindir}/admsXml
# Do not split out libraries for the moment; nothing else but adms (can) use them
%{_libdir}/lib%{name}*.*
%{_mandir}/man1/admsCheck.1.gz
%{_mandir}/man1/admsXml.1.gz

%changelog
* Mon Apr 25 2016 p.drouand@gmail.com
- Update to version 2.3.5
  * Change license to GPLv3.
  * Add new simplified constants.vams and discplines.vams.
    Tested to work with models currently in use by Qucs, Ngspice, Xyce and Gnucap.
    Whenever these headers are used, adms informs the user about the
    availability of the standard headers at:
    http://accellera.org/downloads/standards/v-ams
  * Remove non-GPL constants.vams and disciplines.vams headers.
    These files are copyright of Accellera. With the LRM v2.4.0 updated versions
    of these files are freely accessible. However modification is not allowed.
    Hence, these files are not GPL and should not be included in adms.
  * Autotools, add back support for static and shared libraries build.
    Build shared libraries by default. Tested on Linux, Mac OSX, and MSYS2.
    See the configure --disable-shared flag to change that.
    CMake contiues to builds static libraries only.
  * Fix out-of-tree build for Autotools and CMake.
  * Check scaling factors againd LRM v2.4.0
    Add missing K scaling (uppercase kilo)
    standard scale_factor T|G|M|K|k|m|u|n|p|f|a
    Add testset (va and xml files) to test the scaling factors
  * Handle non-standard scaling factors with warning E|P|D|h|d|c|A
  * Relax Bison requirement, tested with (2.5, 3.0.2)
  * Perl GD module is no longer required at build time.
    The GD module is becoming hard to install, and it is only used to create
    a few images used on the html documentation. If images need to be changed,
    run the mkimage.pl script and update the repository.
- Change license to GPL-3.0, accordingly with upstream changes
- Remove perl-GD build dependency; not needed anymore
* Wed Oct  1 2014 dmitry_r@opensuse.org
- Update to version 2.3.4
  * bugfix release, see included ChangeLog file
- Update adms-no-build-time.patch
- Build without shared libraries.
* Thu Jul  3 2014 dmitry_r@opensuse.org
- Fix devel package requirements
* Fri Jun 27 2014 dmitry_r@opensuse.org
- Initial package, version 2.3.2
- Remove build time from binary
  * adms-no-build-time.patch
